Subject: Wish: make commiter email address configurable per-repo

From: Stephen Kelly <[email-masked]>
Date: Fri, 07 Jan 2011 14:16:49 +0100

Hi,

In KDE the committer email address is used to be able to use keywords in 
commit messages to automatically close bugs.

If my email address that I use for committing is not the same as that 
configured in the bugzilla, the automated bug closing does not work.

So for some git repos in KDE which I work on on work time, I'd like to set a 
different committer address. I can't just set GIT_COMMITTER_EMAIL or 
whatever in my bashrc, because in other repos I want to use a different 
committer email, and don't want it set globally for all git repos I work on.

This doesn't seem to be configurable in git config. Can that be changed?

All the best,

Steve.